Re: Metacity towards GNOME 3.0

On 02/12/10 17:54, Owen Taylor wrote:
Does this mean that libmetacity-private will also depend on GTK+ 3.0 ?
Compiz currently uses this library to handle frame drawing from
metacity themes and I need to know whether I need to update the deps

Yes, that would be a consequence. (If we made it dual build then you'd
have to handle both which would be no fun at all.)

When switching to gtk+3, since the SONAME will need to change, maybe you could rename the library to libmetacity, since it doesn't seem to be private at all... :)


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]